/********************************************************* begin of preamble
**
** Copyright (C) 2003-2012 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
package com.sos.JSHelper.Options;

/**
* \class JSOptionPropertyFolderName 
* 
* \brief JSOptionPropertyFolderName - 
* 
* \details
*
* \section JSOptionPropertyFolderName.java_intro_sec Introduction
*
* \section JSOptionPropertyFolderName.java_samples Some Samples
*
* \code
*   .... code goes here ...
* \endcode
*
* <p style="text-align:center">
* <br />---------------------------------------------------------------------------
* <br /> APL/Software GmbH - Berlin
* <br />##### generated by ClaviusXPress (http://www.sos-berlin.com) #########
* <br />---------------------------------------------------------------------------
* </p>
* \author eqbfd
* @version $Id: JSOptionPropertyFolderName.java 14729 2011-07-05 20:47:16Z sos $29.01.2009
* \see reference
*
* Created on 29.01.2009 20:00:12
 */

/**
 * @author eqbfd
 *
 */
public class JSOptionPropertyFolderName extends SOSOptionFileName {

	@SuppressWarnings("unused")
	private final String	conClassName	= "JSOptionPropertyFolderName";

	/**
	 * \brief JSOptionPropertyFolderName
	 *
	 * \details
	 *
	 * @param pPobjParent
	 * @param pPstrKey
	 * @param pPstrDescription
	 * @param pPstrValue
	 * @param pPstrDefaultValue
	 * @param pPflgIsMandatory
	 */
	public JSOptionPropertyFolderName(JSOptionsClass pPobjParent, String pPstrKey, String pPstrDescription, String pPstrValue, String pPstrDefaultValue,
			boolean pPflgIsMandatory) {
		super(pPobjParent, pPstrKey, "Java-Property user.dir", pPstrValue, pPstrDefaultValue, pPflgIsMandatory);
		
//		strValue = this.Value();
	}
	
	/**
	 * 
	 * \brief Value - setzt die Property UserDir
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param pstrFolderName
	 * @throws Exception
	 */
	public void Value(String pstrFolderName) {
		
		@SuppressWarnings("unused")
		final String	conMethodName	= conClassName + "::Value";
		// prfen, ob es den Folder gibt ...
		pstrFolderName = this.objParentClass.CheckIsFileWritable(pstrFolderName, conMethodName);
		super.Value(pstrFolderName);
		if (pstrFolderName != null && pstrFolderName.length() > 0) {
		System.setProperty("user.dir", pstrFolderName);
		}

//		return void;
	} // public void Value
	
	public String Value() {
		
		@SuppressWarnings("unused")
		final String	conMethodName	= conClassName + "::Value";
		
		String strT = System.getProperty("user.dir"); 
		
		return strT;
	} // public String Value
	
}
